package com.flyfish.framework.domain.po;

import com.flyfish.framework.domain.base.AuditDomain;
import lombok.*;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * 部门
 *
 * @author wangyu
 */
@Document
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class Department extends AuditDomain {

    /**
     * 默认选中
     */
    private Boolean primary;

    /**
     * 负责人
     */
    private String manager;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 层级
     */
    private Integer level;

    /**
     * 地址
     */
    private String address;

    /**
     * 父节点，根节点0
     */
    private String parentId;

    /**
     * 是否是部门（叶子节点）
     */
    private Boolean leaf;
}
