package com.flyfish.framework.logging.config;

import com.flyfish.framework.logging.advice.LogAdvice;
import com.flyfish.framework.logging.service.LogManager;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.EnableAspectJAutoProxy;

import java.util.List;

/**
 * 日志配置
 *
 * @author wangyu
 */
@EnableAspectJAutoProxy
public class LoggingConfig {

    /**
     * 启用日志切面
     *
     * @return 结果
     */
    @Bean
    public LogAdvice logAdvice(LogManager manager) {
        return new LogAdvice(manager);
    }

    /**
     * 日志文本注册，提供类型的动态渲染
     *
     * @return 结果
     */
    @Bean
    public LoggingTextRegistry loggingTextRegistry(List<LoggingTextModifier> modifiers) {
        return new LoggingTextRegistry(modifiers);
    }

    /**
     * 日志管理器，线程池
     *
     * @return 结果
     */
    @Bean
    public LogManager logManager() {
        return new LogManager();
    }
}
